Bug 244325 - textproc/itstool: Update to 2.0.6, Add patch to fix some libxml issues
Summary: textproc/itstool: Update to 2.0.6, Add patch to fix some libxml issues
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Danilo G. Baio
URL: https://github.com/itstool/itstool/is...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-02-22 22:05 UTC by Danilo G. Baio
Modified: 2020-03-14 18:05 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (kwm)


Attachments
itstool-2.0.6.patch (4.93 KB, patch)
2020-02-22 22:05 UTC, Danilo G. Baio
dbaio: maintainer-approval? (kwm)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2020-02-22 22:05:02 UTC
Created attachment 211844 [details]
itstool-2.0.6.patch

The FreeBSD doc translations are working fine with this patch.
More details on https://github.com/itstool/itstool/issues/38

Obtained from:  https://github.com/itstool/itstool/pull/18
Comment 1 Automation User 2020-03-08 00:35:55 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/124236717
Comment 2 commit-hook freebsd_committer 2020-03-14 15:00:26 UTC
A commit references this bug:

Author: dbaio
Date: Sat Mar 14 15:00:07 UTC 2020
New revision: 528414
URL: https://svnweb.freebsd.org/changeset/ports/528414

Log:
  textproc/itstool: Update to 2.0.6, Add patch to fix some libxml issues [1]

  FreeBSD Doc translations are working fine with this patch.
  More details on https://github.com/itstool/itstool/issues/38

  PR:		244325
  Approved by:	maintainer timeout (kwm, > 3 weeks)
  Obtained from:	https://github.com/itstool/itstool/pull/18 [1]

Changes:
  head/textproc/itstool/Makefile
  head/textproc/itstool/distinfo
  head/textproc/itstool/files/patch-PR18